#pragma once

#include <string>
#include <sstream>

using namespace std;

typedef unsigned int uint;
typedef char* pchar;

#define TERM_0 0
#define TERM_1 1
#define TERM_X 2

template< class type>
inline string to_string( const type & value)
{
    ostringstream streamOut;
    streamOut << value;
    return streamOut.str();
}
